VkPipelineDiscardRectangleStateCreateInfoEXT Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkPipelineDiscardRectangleStateCreateInfoEXT:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkPipelineDiscardRectangleStateCreateFlagsEXT | flags
VkDiscardRectangleModeEXT | discardRectangleMode
uint32_t | discardRectangleCount
const VkRect2D * | pDiscardRectangles

## Detailed Description

Definition at line 6196 of file vulkan.h.

## Field Documentation

## discardRectangleCount

uint32_t VkPipelineDiscardRectangleStateCreateInfoEXT::discardRectangleCount

Definition at line 6201 of file vulkan.h.

## discardRectangleMode

VkDiscardRectangleModeEXT VkPipelineDiscardRectangleStateCreateInfoEXT::discardRectangleMode

Definition at line 6200 of file vulkan.h.

## flags

VkPipelineDiscardRectangleStateCreateFlagsEXT VkPipelineDiscardRectangleStateCreateInfoEXT::flags

Definition at line 6199 of file vulkan.h.

## pDiscardRectangles

const VkRect2D* VkPipelineDiscardRectangleStateCreateInfoEXT::pDiscardRectangles

Definition at line 6202 of file vulkan.h.

## pNext

const void* VkPipelineDiscardRectangleStateCreateInfoEXT::pNext

Definition at line 6198 of file vulkan.h.

## sType

VkStructureType VkPipelineDiscardRectangleStateCreateInfoEXT::sType

Definition at line 6197 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h